## org.eclipse.amp.axf.sd.model.result
Class SimResult

    java.lang.Object
      org.eclipse.amp.axf.sd.model.result.SimResult

    public class SimResult

extends java.lang.Object

Enthält das Resultat der Simulation

Author:
  fei

Constructor Summary
`SimResult()`

Method Summary
`java.lang.Double` `getValue(int time)` Gibt das Element zum Zeitpunkt time zurück.
`void` `put(int time, double value)` Fügt ein Element zu den Berechneten Werten hinzu.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimResult

    public SimResult()

Method Detail

### put

    public void put(int time,
                    double value)

  Fügt ein Element zu den Berechneten Werten hinzu. Ist das Element mit dem definierten Zeitschrit bereits vorhanden so wird dieses ersetzt

  Parameters:
    `time` -
    `value` -

### getValue

    public java.lang.Double getValue(int time)

  Gibt das Element zum Zeitpunkt time zurück. Ist es nicht vorhanden --> null

  Parameters:
    `time` -
  Returns: